Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: telepathy

Tunables Interfaces Templates

### Description:

Telepathy communications framework.

### Tunables:

telepathy_connect_all_ports

##### Default value

false

##### Description

Determine whether telepathy connection managers can connect to any port.

telepathy_tcp_connect_generic_network_ports

##### Default value

false

##### Description

Determine whether telepathy connection managers can connect to generic tcp ports.

Return

### Interfaces:

telepathy_gabble_dbus_chat( domain )

##### Summary

Send dbus messages to and from gabble.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

telepathy_gabble_stream_connect( domain )

##### Summary

Connect to gabble with a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

telepathy_mission_control_read_state( domain )

##### Summary

Read mission control process state files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

telepathy_msn_stream_connect( domain )

##### Summary

Connect to msn with a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

telepathy_salut_stream_connect( domain )

##### Summary

Connect to salut with a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return

### Templates:

telepathy_domain_template( domain_prefix )

##### Summary

The template to define a telepathy domain.

##### Parameters

Parameter: | Description:
--- | ---
domain_prefix | Domain prefix to be used.

telepathy_role_template( role_prefix , user_role , user_domain )

##### Summary

The role template for the telepathy module.

##### Description

This template creates a derived domains which are used for window manager applications.

##### Parameters

Parameter: | Description:
--- | ---
role_prefix | The prefix of the user domain (e.g., user is the prefix for user_t).
user_role | The role associated with the user domain.
user_domain | The type of the user domain.

Return